package com.chelvc.cloud.maintain.controller;

import com.chelvc.cloud.vehicle.api.param.HotMerchantModifyParam;
import com.chelvc.cloud.vehicle.api.service.HotMerchantService;
import com.chelvc.framework.base.annotation.ResponseWrapping;
import org.apache.dubbo.config.annotation.DubboReference;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RestController;
import javax.validation.Valid;

/**
 * 热门搜索接口
 *
 * @author liude
 * @date 2023/12/20
 */
@Validated
@RestController
@ResponseWrapping
public class HotMerchantController {
    @DubboReference
    private HotMerchantService hotMerchantService;

    /**
     * 添加用户点击埋点
     *
     * @param
     */
    @GetMapping("/hotMerchant/")
    public void addHotMerchant(@Valid HotMerchantModifyParam param) {
        this.hotMerchantService.addHotMerchant(param);
    }


    /**
     * 热门搜索商家
     *
     * @param
     */
    @PostMapping("/listHotMerchant/")
    public void listHotMerchant() {
        this.hotMerchantService.listHotMerchant();
    }

    /**
     * 猜你喜欢的商家
     *
     * @param
     */
    @PostMapping("/likeMerchant/")
    public void likeMerchant() {
        this.hotMerchantService.likeMerchant();
    }


}
